# Class LogProvider

Configuration provider for `$log` service

##### Index

### Properties

debug

### Methods

$get
setLogger

## Properties

### debug

debug: boolean

## Methods

### $get

- $get(): LogService

  #### Returns LogService

### setLogger

- setLogger(fn: LogServiceFactory): void

  Override the default LogService implemenation

  #### Parameters

  - fn: LogServiceFactory

  #### Returns void